%global momorel 2

%global srcname xfce4-panel

Summary:  Next generation panel for xfce
Name:     xfce4-panel
Version:  4.2.3
Release:  %{momorel}m
License:  GPL
URL:      http://www.xfce.org/
Source0:  http://www.xfce.org/archive/xfce-%{version}/src/%{name}-%{version}.tar.gz
NoSource: 0
Source1:  xsession.xfce4
Source2:  xfce4rc.momonga
#Patch0:    xfce4-panel-ja.po.patch
#Patch1:    xfce4-panel-ja.po-2.patch
Group:    User Interface/Desktops
BuildRoot:  %{_tmppath}/%{name}-%{version}-root
BuildRequires:  libxfcegui4-devel >= %{version}
BuildRequires:  libxfce4mcs-devel >= %{version}
BuildRequires:  xfce-mcs-manager-devel >= %{version}
BuildRequires:  libxml2-devel >= 2.4.0
BuildRequires:  gtk+-devel >= 2.4.0
BuildRequires:  glib-devel >= 2.4.0
BuildRequires:  libxml2-devel pkgconfig
BuildRequires:  gettext
Requires: xorg-x11-utils, xorg-x11-apps
Requires: hicolor-icon-theme

%description
XFce is a lightweight desktop environment for various *NIX systems.
Designed for productivity, it loads and executes applications fast, while conserving system resources.

xfce4-panel is the panel for the XFce desktop environment.

%prep
%setup -q -n %{srcname}-%{version}
#%%patch0 -p1
#%%patch1 -p1

%build
%configure
#rm -f po/ja.gmo
%make

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} mandir=%{_mandir}

mkdir -p %{buildroot}%{_sysconfdir}/X11/xinit/session.d/
install -m 644 %{SOURCE1} %{buildroot}%{_sysconfdir}/X11/xinit/session.d/xfce4
#mv %{buildroot}%{_sysconfdir}/xfce4/xfce4rc %{buildroot}%{_sysconfdir}/xfce4/xfce4rc.orig
#install -m 644 %{SOURCE2} %{buildroot}%{_sysconfdir}/xfce4/xfce4rc

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README TODO ChangeLog NEWS NOTES INSTALL COPYING AUTHORS
%{_sysconfdir}/xdg/xfce4/panel/*
%{_sysconfdir}/X11/xinit/session.d/xfce4
%{_datadir}/xfce4/doc/*/images/*
%{_datadir}/xfce4/doc/*/*.html
%{_datadir}/locale/*/*/*
%{_datadir}/applications/*
%{_datadir}/icons/*/*/*/*
%{_includedir}/xfce4/*
%{_libdir}/xfce4/mcs-plugins/*
%{_libdir}/pkgconfig/*
%{_libdir}/xfce4/panel-plugins/*
%{_bindir}/*

%changelog
* Sat Jun 10 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (4.2.3-2m)
- delete duplicated dir

* Mon Nov 21 2005 Kazuhiko <kazuhiko@fdiary.net>
- (4.2.3-1m)
- Xfce 4.2.3.2

* Wed May 25 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (4.2.2-2m)
- add Requires hicolor-icon-theme

* Fri May 20 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (4.2.2-1m)
- Xfce 4.2.2

* Sat Mar 19 2005 TABUCHI Takaaki <tab@momonga-linux.org>      
- (4.2.1.1-1m)
- update to 4.2.1.1

* Thu Mar 17 2005 TABUCHI Takaaki <tab@momonga-linux.org>      
- (4.2.1-1m)                                                   
- Xfce 4.2.1

* Mon Jan 17 2005 TABUCHI Takaaki <tab@momonga-linux.org>      
- (4.2.0-1m)                                                   
- Xfce 4.2

* Sat Dec 25 2004 Kazuhiko <kazuhiko@fdiary.net>
- (4.1.99.3-1m)
- Xfce 4.2-RC3

* Tue Dec 14 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (4.1.99.2-1m)
- Xfce 4.2-RC2

* Mon Nov 15 2004 Kazuhiko <kazuhiko@fdiary.net>
- (4.1.99.1-1m)
- Xfce 4.2-RC1

* Mon Nov  1 2004 Kazuhiko <kazuhiko@fdiary.net>
- (4.1.91-1m)
- Xfce 4.2BETA2

* Sat Oct 30 2004 Shigeyuki Yamashita <shige@momonga-linux.org>
- (4.1.90-2m)
- modify xfce4rc.momonga (soffice -> ooffice)

* Thu Oct 28 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (4.1.90-1m)
- update to 4.1.90
- tmp comment out patch0
- tmp comment out patch1

* Thu Jul 15 2004 Kazuhiko <kazuhiko@fdiary.net>
- (4.0.6-1m)
- minor bugfixes

* Sun Apr 18 2004 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (4.0.5-1m)
- version update to 4.0.5

* Sun Apr 11 2004 Masaru SANUKI <sanuki@momonga-linux.org>
- (4.0.4-3m)
- rebuild against for gtk+-2.4.0

* Sat Apr 10 2004 Masaru SANUKI <sanuki@momonga-linux.org>
- (4.0.4-2m)
- rebuild against for libxml2-2.6.8
- rebuild against for glib-2.4.0

* Thu Mar 11 2004 Kazuhiko <kazuhiko@fdiary.net>
- (4.0.4-1m)

* Sat Mar  6 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (4.0.3-2m)
- revise ja.po

* Sun Jan 11 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (4.0.3-1m)
- version up to 4.0.3

* Mon Dec 22 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (4.0.2-1m)
- version up to 4.0.2

* Mon Dec 01 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (4.0.1-1m)
- version up to 4.0.1

* Tue Nov 11 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (4.0.0-4m)
- add xfce4-panel-ja.po.patch
- add gettext at BuildRequires

* Wed Oct 08 2003 Masayuki SANO <sano@acs.i.kyoto-u.ac.jp>
- (4.0.0-3m)
- remove Provides: xfce4 (we have xfce4 meta-package now)

* Sat Oct 04 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (4.0.0-2m)
- add Requires: XFree86-tools for use xmessage in xinitrc

* Fri Sep 26 2003 Seinosuke Kaneda <kaneda@momonga-linux.org>
- (4.0.0-1m)
- version up

* Sat Sep 13 2003 Masayuki SANO <sano@acs.i.kyoto-u.ac.jp>
- (3.99.4-1m)
- XFce4 RC4 release
